/* Exception.Cmd
   This REXX script is executed if a exception violation occurs.  You can
   use this script to notify the user of what just happened.  And to help
   assist us by asking the user what they where doing when the exception
   happened.
*/

Arg line
   Call AdeptSayGen line, "Excemption.Cmd"
   Call AdeptPrint line,"AdeptXBBS has experienced an EXCEMPTION and has become unstable.\r\n"
   Call AdeptPrint line,"To aid " || {S7 || " in fixing the problem please leave a short\r\n"
   Call AdeptPrint line,"a message explaining what you were doing before this screen\r\n"
   Call AdeptPrint line,"\r\n\r\n"
   Call AdeptPrint line,"Please enter the subject of your comment\n"
   Temp=AdeptMessage(line, 3, 3, "")         /* Comment to Sysop */
   Temp=AdeptWrite(line, 1, 3, "")
   Exit


